Get movement line by ID
curl --request GET \
--url https://app.solya.app/api/movement-lines/{movementLineId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.solya.app/api/movement-lines/{movementLineId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.solya.app/api/movement-lines/{movementLineId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"brandCode": "sandro",
"brandId": "demo-brand-8a771633",
"brandImageUrl": null,
"brandMainBrandTypeTaxonomyFullPath": null,
"brandMainBrandTypeTaxonomyId": null,
"brandName": "Sandro",
"code": null,
"createdAt": "2026-06-23T12:26:47.06048+00:00",
"inventoryItemCode": "INV-001859",
"inventoryItemFullName": "Pantalon de tailleur en laine froide - Noir - M",
"inventoryItemId": "demo-inv-item-ef722283",
"inventoryItemSku": "SKU-001859",
"movementCode": "MVT-RECV-00001385",
"movementCost": 554.2199999999998,
"movementDate": "2025-11-23",
"movementDateKey": 20251123,
"movementDayName": "sunday",
"movementDayOfMonth": 23,
"movementDayOfWeek": 7,
"movementDayOfYear": 327,
"movementDescription": "Receipt for 2025-11-23",
"movementHolidayName": null,
"movementId": "465f16fc-bf10-4abd-a899-04d93b9c9c21",
"movementInventoryMovementTypeTaxonomyFullPath": null,
"movementInventoryMovementTypeTaxonomyId": null,
"movementInventoryMovementTypeTaxonomyLanguage": null,
"movementIsHoliday": false,
"movementIsWeekend": true,
"movementLineId": "000003de-afef-4913-a0ff-b9fdd4cce3eb",
"movementMonthName": "november",
"movementMonthOfYear": 11,
"movementQuarter": 4,
"movementSeason": "fall_winter",
"movementTrimester": 4,
"movementWeekOfMonth": 4,
"movementWeekOfYear": 47,
"movementYear": 2025,
"organizationId": "demo",
"productCode": "pantalon-de-tailleur-en-laine-froide",
"productFamilyMainTaxonomyFullPath": "Vêtements/Bas/Pantalons/Jeans (skinny, droits)",
"productFamilyMainTaxonomyId": "solya_family_fr_13cbee4d",
"productGenderTaxonomyFullPath": "Femme",
"productGenderTaxonomyId": "solya_gender_fr_43c65bcc",
"productId": "demo-product-d4b55f08",
"productImageUrl": null,
"productIsActive": true,
"productName": "Pantalon de tailleur en laine froide",
"quantity": 6,
"shopCity": "Marseille",
"shopCode": "boutique-marseille-vieux-port",
"shopCountry": "bcbbd48b-f69c-4e02-85f5-90b919b1270b",
"shopCountryId": "bcbbd48b-f69c-4e02-85f5-90b919b1270b",
"shopId": "demo-shop-06490461",
"shopIsActive": true,
"shopName": "Boutique Marseille - Vieux Port",
"shopRegion": "Provence-Alpes-Côte d'Azur",
"sizeTaxonomyFullPath": "M",
"sizeTaxonomyId": "solya_size_fr_d0f2a7f5",
"sizeTaxonomyLanguage": "fr",
"unitCost": 92.36999999999996,
"updatedAt": "2026-06-23T12:26:47.06048+00:00",
"variantCode": "pantalon-de-tailleur-en-laine-froide-noir",
"variantCollectionId": "demo-collection-ecd2effe",
"variantCollectionName": "Autumn/Winter 2025",
"variantColorTaxonomyFullPath": "Couleurs Neutres/Neutre/Noirs/Noir",
"variantDisplayName": "Noir",
"variantFullName": "Pantalon de tailleur en laine froide - Noir",
"variantGenderTaxonomyFullPath": null,
"variantId": "demo-variant-908e6e33",
"variantIsActive": true,
"variantName": "Pantalon de tailleur en laine froide - Noir",
"variantSecondaryColorTaxonomyFullPath": null
}Movement Lines
Get movement line by ID
Returns a single inventory movement line by its ID
GET
/
api
/
movement-lines
/
{movementLineId}
Get movement line by ID
Authorizations
User session token issued by NextAuth. For human users accessing Solya via the web application.
Path Parameters
Unique identifier of the movement line (UUID)
⌘I

